_base=NumCpp
pkgname=${_base,,}
pkgver=2.9.0
pkgrel=1
pkgdesc="A Templatized Header Only C++ Implementation of the Python NumPy Library"
arch=(x86_64)
url="https://github.com/dpilger26/${_base}"
license=(MIT)
depends=()                                             # python-numpy
makedepends=(boost cmake eigen opencv python qt5-base) # pybind11 onetbb doxygen
source=(${url}/archive/Version_${pkgver}.tar.gz)
sha512sums=('d4940f921c21bc3e47371972ed017edaf7722cdfc80299e32fde84aed6a34fafa9edf4d501f945edbe30025ccea644da3275e0101c1ad664b1e6f2489dcb81bb')

build() {
  cmake \
    -S ${_base}-Version_${pkgver} \
    -B build \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_SHARED_LIBS=TRUE \
    -DCMAKE_CXX_STANDARD=17 \
    -DCMAKE_CXX_COMPILER=g++ \
    -DBUILD_ALL=ON \
    -DBUILD_EXAMPLE_ALL=ON \
    -DNUMCPP_NO_USE_BOOST=OFF \
    -DNUMCPP_USE_MULTITHREAD=OFF \
    -Wno-dev
  cmake --build build --target all
}

# check() {
#   ctest --test-dir build
# }

package() {
  DESTDIR="${pkgdir}" cmake --build build --target install
  install -Dm 644 ${_base}-Version_${pkgver}/LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
